<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<!--[if IE]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" /><![endif]-->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="header-wrapper">
    <div class="container">
        <div class="row">
            <div class="col-xl-3">
                <div class="logo">
                    <?php
                    if (display_header_text()==true){
	                    echo '<h1>'.esc_html(get_bloginfo( 'name' )).'</h1>';
	                    echo '<h2>'.esc_html(get_bloginfo('description')).'</h2>';
                    } else {
                    ?>
                        <a href="<?php echo esc_url(get_site_url()); ?>">
		                    <?php
		                    $custom_logo_id = get_theme_mod( 'custom_logo' );
		                    $logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
		                    if ( has_custom_logo() ) {
			                    echo '<img src="'. esc_url( $logo[0] ) .'" alt="logo">';
		                    } else {
			                    echo esc_html(get_bloginfo( 'name' ));
		                    }
		                    ?>
                        </a>
                    <?php } ?>
                </div>
            </div>
            <div class="col-xl-9">
                <div class="cgsnavmenu"><?php wp_nav_menu(array('theme_location'=>'top')); ?></div>
            </div>
        </div>
    </div>
</div>
<?php $cgs_fashion_trend_header_bg_img = get_header_image(); ?>
<?php $cgs_fashion_trend_setting_small_img = get_theme_mod('cgs_fashion_trend_setting_small_img'); ?>
<?php if(is_home()){ ?>
	<?php if(!empty($cgs_fashion_trend_header_bg_img)){ ?>
        <div class="banner-wrapper" style="background-image: url('<?php echo esc_url($cgs_fashion_trend_header_bg_img); ?>')">
	<?php } else { ?>
        <div class="banner-wrapper" style="background-image: url('<?php echo esc_url(get_template_directory_uri()); ?>/images/header_bg.jpg')">
	<?php } ?>
    <div class="container">
        <div class="row">
            <div class="col-xl-6">
                <div class="banner-img">
                    <?php if(!empty($cgs_fashion_trend_setting_small_img)){ ?>
                        <img src="<?php echo esc_url($cgs_fashion_trend_setting_small_img); ?>">
                    <?php } else { ?>
                        <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/lady_in_white_dress.png">
                    <?php } ?>
                </div>
            </div>
            <div class="col-xl-6">
                <h1><?php echo esc_html(get_theme_mod('cgs_fashion_trend_setting_h1_text')); ?></h1>
                <p><?php echo esc_html(get_theme_mod('cgs_fashion_trend_setting_p_text')); ?></p>
            </div>
        </div>
    </div>
</div>
<?php } ?>
<?php if(is_page() || is_singular() || is_search() || is_404() || is_archive() || is_tag()){ ?>
<?php $cgs_fashion_trend_customizer_select = get_theme_mod('cgs_fashion_trend_customizer_select'); ?>
<?php if($cgs_fashion_trend_customizer_select == 'yes'){ ?>
    <?php if(!empty($cgs_fashion_trend_header_bg_img)){ ?>
        <div class="banner-wrapper" style="background-image: url('<?php echo esc_url($cgs_fashion_trend_header_bg_img); ?>'); padding: 10px 0 0 0;">
    <?php } else { ?>
        <div class="banner-wrapper" style="background-image: url('<?php echo esc_url(get_template_directory_uri()); ?>/images/header_bg.jpg'); padding: 10px 0 0 0;">
    <?php } ?>
        <div class="container">
            <div class="row">
                <div class="col-xl-2">
                    <?php if(!empty($cgs_fashion_trend_setting_small_img)){ ?>
                        <div class="banner-img"><img src="<?php echo esc_url($cgs_fashion_trend_setting_small_img); ?>"></div>
                    <?php } else { ?>
                        <div class="banner-img"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/lady_in_white_dress.png"></div>
                    <?php } ?>
                </div>
                <div class="col-xl-10"></div>
            </div>
        </div>
    </div>
        <?php } ?>
<?php } ?>